Skip to main content
GET
/
api
/
v1
/
agent
/
{agentId}
/
run
/
{runId}
/
status
Get the status of a specific run
curl --request GET \
  --url https://dashboard.sequentum.com/api/v1/agent/{agentId}/run/{runId}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "configId": 123,
  "configName": "<string>",
  "spaceId": 123,
  "organizationId": 123,
  "organizationName": "<string>",
  "sequence": 123,
  "parallelism": 123,
  "parallelMaxConcurrency": 123,
  "parallelExport": "Combined",
  "parallelSet": 123,
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z",
  "created": "2023-11-07T05:31:56Z",
  "status": 0,
  "message": "<string>",
  "configVersion": 123,
  "actionCount": 123,
  "pageCount": 123,
  "dynamicPageCount": 123,
  "requestCount": 123,
  "dataCount": 123,
  "inputCount": 123,
  "errorCount": 123,
  "exportCount": 123,
  "traffic": 123,
  "runTimeSec": 123,
  "serverName": "<string>",
  "tableType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"

Authorization
string
header
required

OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"

Path Parameters

agentId
integer<int32>
required

The ID of the agent/config

runId
integer<int64>
required

The ID of the run to check

Response

Returns the run status and details

id
integer<int64>
configId
integer<int64>
configName
string | null
spaceId
integer<int32>
organizationId
integer<int32>
organizationName
string | null
sequence
integer<int64>
parallelism
integer<int32> | null
parallelMaxConcurrency
integer<int32> | null
parallelExport
enum<string>
Available options:
Combined,
Separated
parallelSet
integer<int32> | null
startTime
string<date-time> | null
endTime
string<date-time> | null
created
string<date-time> | null
status
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
message
string | null
configVersion
integer<int32> | null
actionCount
integer<int32>
pageCount
integer<int32>
dynamicPageCount
integer<int32>
requestCount
integer<int32>
dataCount
integer<int32>
inputCount
integer<int32> | null
errorCount
integer<int32>
exportCount
integer<int32> | null
traffic
integer<int64> | null
runTimeSec
integer<int32> | null
serverName
string | null
tableType
string | null